org.eclipse.ease.debugging.model

## Class EaseDebugProcess

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.model.EaseDebugElement
      - - org.eclipse.ease.debugging.model.EaseDebugProcess

All Implemented Interfaces:
  IAdaptable, IDebugElement, IDisconnect, IProcess, IStep, ISuspendResume, ITerminate, IEventProcessor

    public class EaseDebugProcess
    extends EaseDebugElement
    implements IProcess, IEventProcessor

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.debugging.model.EaseDebugElement

`EaseDebugElement.State`

### Field Summary

### Fields inherited from interface org.eclipse.debug.core.model.IProcess

`ATTR_CMDLINE, ATTR_PROCESS_LABEL, ATTR_PROCESS_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`EaseDebugProcess(EaseDebugTarget target)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canDisconnect()`
`boolean` `canTerminate()`
`EaseDebugThread` `createDebugThread(java.lang.Object thread)`
`void` `disconnect()`
`EaseDebugThread` `findDebugThread(java.lang.Object thread)`
`java.lang.String` `getAttribute(java.lang.String key)`
`int` `getExitValue()`
`java.lang.String` `getLabel()`
`IStreamsProxy` `getStreamsProxy()`
`EaseDebugThread[]` `getThreads()`
`void` `handleEvent(IDebugEvent event)`
`boolean` `isDisconnected()`
`boolean` `isTerminated()`
`void` `setAttribute(java.lang.String key, java.lang.String value)`
`void` `setDispatcher(EventDispatchJob dispatcher)`
`void` `setTerminated()`
`void` `terminate()`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.ease.debugging.model.EaseDebugElement

`canResume, canStepInto, canStepOver, canStepReturn, canSuspend, getDebugTarget, getModelIdentifier, isStepping, isSuspended, resume, setResumed, setSuspended, stepInto, stepOver, stepReturn, suspend`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter, getLaunch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.IProcess

`getLaunch`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### EaseDebugProcess

    public EaseDebugProcess(EaseDebugTarget target)

### Method Detail

#### getLabel

    public java.lang.String getLabel()

Specified by:
  `getLabel` in interface `IProcess`

#### getStreamsProxy

    public IStreamsProxy getStreamsProxy()

Specified by:
  `getStreamsProxy` in interface `IProcess`

#### setAttribute

    public void setAttribute(java.lang.String key,
                             java.lang.String value)

Specified by:
  `setAttribute` in interface `IProcess`

#### getAttribute

    public java.lang.String getAttribute(java.lang.String key)

Specified by:
  `getAttribute` in interface `IProcess`

#### getExitValue

    public int getExitValue()
                     throws DebugException

Specified by:
  `getExitValue` in interface `IProcess`
Throws:
  `DebugException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### handleEvent

    public void handleEvent(IDebugEvent event)

Specified by:
  `handleEvent` in interface `IEventProcessor`

#### createDebugThread

    public EaseDebugThread createDebugThread(java.lang.Object thread)

#### setDispatcher

    public void setDispatcher(EventDispatchJob dispatcher)

Specified by:
  `setDispatcher` in interface `IEventProcessor`

#### findDebugThread

    public EaseDebugThread findDebugThread(java.lang.Object thread)

#### getThreads

    public EaseDebugThread[] getThreads()

#### canTerminate

    public boolean canTerminate()

Specified by:
  `canTerminate` in interface `ITerminate`
Overrides:
  `canTerminate` in class `EaseDebugElement`

#### terminate

    public void terminate()

Specified by:
  `terminate` in interface `ITerminate`
Overrides:
  `terminate` in class `EaseDebugElement`

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `ITerminate`
Overrides:
  `isTerminated` in class `EaseDebugElement`

#### setTerminated

    public void setTerminated()

#### canDisconnect

    public boolean canDisconnect()

Specified by:
  `canDisconnect` in interface `IDisconnect`
Overrides:
  `canDisconnect` in class `EaseDebugElement`

#### disconnect

    public void disconnect()

Specified by:
  `disconnect` in interface `IDisconnect`
Overrides:
  `disconnect` in class `EaseDebugElement`

#### isDisconnected

    public boolean isDisconnected()

Specified by:
  `isDisconnected` in interface `IDisconnect`
Overrides:
  `isDisconnected` in class `EaseDebugElement`